<template>
  <div class="about">
   <img src="../assets/myAvatar.png">
      <div class="about-text">
          <h2>Hello, I'm <span>Umer</span></h2>
          <p><span class="fr">Front End Developer</span> who enjoys building web application <br/> and Passionate about Learning new
          Technologies.<br/> Love working with <span class="js">JavaScript</span>, <span class="css-txt">CSS</span>, <span class="html-txt">HTML</span>.</p>
      </div>
      <div class="social-icon">
          <ul>
              <li><a href="https://www.facebook.com/umersharif.khan" target="_blank"><img src="../assets/facebook.png"> </a></li>
              <li><a href="https://github.com/UmerSharif" target="_blank"><img src="../assets/git.png"></a></li>
              <li><a href="#"><img src="../assets/twitter.png"></a></li>
          </ul>
      </div>
      <div class="copyright">
          <p> Umer Khan <span>&copy;</span> 2018. All Rights Reserved</p>
      </div>
  </div>
</template>

<style lang="scss">
    @import url('https://fonts.googleapis.com/css?family=Roboto+Condensed');
    .about {
            width: 100%;
        h2 {
            text-align: center;
            font-family: 'Roboto Condensed', sans-serif;
            color: #42413d;

            span {
                color: #036564;
            }
        }

        p {
            text-align: center;
            font-family: 'Roboto Condensed', sans-serif;
            color: #42413d;
            font-size: 1.2rem;

            .fr {
                color: #e12c51;
            }

            .js {
                color: #7f2652;
            }

            .css-txt {
                color: #006aa7;
            }
            
            .html-txt {
                color: #4caf50;
            }

        }

        img {
            border-radius: 50%;
            margin-top: 10px;
            padding-top: 10px;
            margin-left: auto;
            margin-right: auto;
            display: block;
        }
    }

    .social-icon {
        display: flex;
        justify-content: center;

        ul {
            display: flex;
            width: 100%;
            justify-content: center;
            padding: 0;

            li {

                list-style-type: none;
                padding: 0;
                margin-right: 6px;

                a {
                    text-decoration: none;
                    font-size: 1.2rem;
                }

            }
        }

        img {
            margin: 0;
            padding: 0;
            width: 40px;
        }
    }

    .copyright {
        span {
            color: #e12c51;
            font-weight: bold;
        }

        p {
            color: #42413d;
            font-size: .8rem;
        }
    }
</style>
